Replying to email with no content-type does not include origional text

RESOLVED WORKSFORME

Status

MailNews Core
Composition
RESOLVED WORKSFORME
17 years ago
10 years ago

People

(Reporter: jg, Assigned: Jean-Francois Ducarroz)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

17 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205
BuildID:    2002020511

Replying to email with no content-type does not include origional text.

The msg is displayed ok, but when i click reply it is not quoted 
I only see


update@list.theregister.co.uk wrote:


And nothing after

Its rather odd, as Forward quotes the text ok.

Reproducible: Always
Steps to Reproduce:
1.Check this email, i will paste into the bottom
2.Or email it to yourself and check how it comes out
3.

Actual Results:  I only see

update@list.theregister.co.uk wrote:

And nothing after

Expected Results:  Should quote the msg in txt format as I specified in Preferences

From - Mon Feb 25 12:55:57 2002
X-UIDL: nE~"!E"Q"!I1""!)#n!!
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Date: Mon, 25 Feb 2002 03:00:01 +0000
Subject: Reg Headlines Monday February 25
To: Reg Subscribers <update@list.theregister.co.uk>
Precedence: list
X-Bulkmail: 2.05
Message-Id: <E16fBQJ-0002Rx-00@list.theregister.co.uk>
X-UIDL: nE~"!E"Q"!I1""!)#n!!
Status: U

Today's Headlines from The Register
-----------------------------------

    To unsubscribe from this daily news update, see the instructions at
    the end of this message.

  --------ADVERTISEMENT------------------------------------------------

 IT'S PAYBACK TIME FOR YOUR OLD HUBS AND SWITCHES
 Trade up to an award-winning HP Procurve Switch and get up to ?280 cash
 back. Cash in now: www.hp.com/uk/networking/cashback4
 -----------------------------------------------------------------------------

Software

    Three new MS security holes - two nasty
    Root access, credit data compromises....
        http://www.theregister.co.uk/content/4/24168.html

    Most SNMP vulns quietly lurking
    All quiet - not all clear
        http://www.theregister.co.uk/content/4/24167.html

Enterprise Systems

    Compaq pumps up AlphaServer 4-way benchmarks
    Records galore
        http://www.theregister.co.uk/content/53/24174.html

    Sun goes after Windows NT base With Cobalt servers
    Discount
        http://www.theregister.co.uk/content/53/24171.html

Internet

    Napster judge denounces recording industry
    Patel wakes up, smells something vile
        http://www.theregister.co.uk/content/6/24178.html

    Beware the bogus domain sellers
    Cold-calling antics
        http://www.theregister.co.uk/content/6/24176.html

    V21 to hand cash to Barnardo's
    How giving
        http://www.theregister.co.uk/content/6/24170.html

Net Security

    Three new MS security holes - two nasty
    Root access, credit data compromises....
        http://www.theregister.co.uk/content/55/24168.html

    Most SNMP vulns quietly lurking
    All quiet - not all clear
        http://www.theregister.co.uk/content/55/24167.html

    US Air traffic safe from hackers - FAA
    Pilots are now optional
        http://www.theregister.co.uk/content/55/24166.html

Anti-Virus News

    CA cans updates for free personal AV package
    IPE 'obsolete' claim
        http://www.theregister.co.uk/content/56/24172.html

Business

    NTL Sells Aussie unit for $442m
    Debt relief
        http://www.theregister.co.uk/content/7/24169.html

Networks

    i-mode readies German launch
    Goes to play with E-Plus Mobifunk
        http://www.theregister.co.uk/content/5/24173.html

The Vulture Central Mailbag

    TUPE or not TUPE, that is not the question
    BT replies to Computacenter article
        http://www.theregister.co.uk/content/35/24175.html


The Register and its contents are copyright 2001 Situation Publishing.
All rights reserved.

    Tel:     +44 (0)20 7499 2264.
    Fax:     +44 (0)20 7493 5922.
    E-Mail:  press.releases@theregister.co.uk

To unsubscribe from these daily updates, visit the following URL.  Make
sure that you enter exactly the same e-mail address as you used to join
this service.

    http://list.theregister.co.uk/cgi-bin/unsub.cgi

Comment 1

17 years ago
For what it's worth, WFM- 2002022103/Win2000. (No Linux to test on.)

Couldn't figure out how to send this exact email to myself, but signed up for
the list and got a similar email.  Replyed and quoted just fine.  

Header:
From - Mon Feb 25 19:50:04 2002
X-UIDL: 69f28f2045cffd532b3de74760d84be8
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Envelope-to: combstm@lucklobster.com
Received: <snip>
Received: <snip>
From: subscribe@list.theregister.co.uk
To: combstm@lucklobster.com
Subject: Reg News Updates - Confirmation
X-Reg-Id: 18096
X-Reg-Xc: c540b66d
X-Reg-Email: combstm@lucklobster.com
X-Reg-To-Line: combstm@lucklobster.com
Message-Id: <E16fVih-0004It-00@list.theregister.co.uk>
Date: Tue, 26 Feb 2002 00:43:51 +0000
X-UIDL: 69f28f2045cffd532b3de74760d84be8




(Reporter)

Comment 2

17 years ago
I dont know how to do it on Mozilla but on my old email system outoing emails
were left as textfiles, so i could edit them manually after.

All you need to do is change the to address and put the email in such a file..

(Assignee)

Comment 3

17 years ago
When you read an email in Mozilla, you can save it as file. Just give it a .eml
extension and then you will be able to "replay" in into a browser window. As we
save the source of the message as text, you can edit it in any text editor.
(Reporter)

Comment 4

17 years ago
Created attachment 71436 [details]
testcase

> ------- Additional Comments From ducarroz@netscape.com  2002-02-25 18:44
-------
> When you read an email in Mozilla, you can save it as file. Just give it a
.eml
> extension and then you will be able to "replay" in into a browser window. As
we
> save the source of the message as text, you can edit it in any text editor.


I'm not sure why you are telling me this, would you like me to attach said
file?
(Assignee)

Comment 5

17 years ago
jg, I was just answering to your request/complain in #2
(Reporter)

Comment 6

17 years ago
I now have another email that exhibits this bug, this time from a hotmail email.

shall i attach it? can you replicate this bug from my previous infomation?

JG
(Assignee)

Comment 7

17 years ago
I did not had time to look at it yet but please add another test case, that
could not hurt.
(Reporter)

Comment 8

17 years ago
Created attachment 71610 [details]
testcase, no charset defined

This hotmail email does not have charset defined. It contains Shift_JIS as
hotmail.com never sets the character set for japanese users for some helpful
reason I do not know.

Click reply and nothing will display of the quoted email, click forward and
mozilla will make some noises for about 10 secs then display fine (but with the
single japanese word displayed wrong)

Reply should display the email, it should display ???? for the word it does not
know, as thats what it does when it displays it before I reply.

After Selecting Shift_JIS from the menu I can reply and it will display. So its
just a problem if there is no charset AND japanese or some other language not
american ascii.

JG

Comment 9

17 years ago
I can replicate this under a sightly different condition.

If the original message has invalid characters for it's charset, then no quoted
text is included in the reply.

I opened that as bug 132613 as it's not exactly the same description as this bug
and might be due to a different problem.

For bug 132613 too, forward as inline will include the whole content of the message.
(Reporter)

Comment 10

16 years ago
This is still present in 2002051013

Is anyone working on a fix for this?
JG

Comment 11

16 years ago
Nobody is working on this bug as it's reported as unconfirmed.

I think your attachment 71610 [details] _does not_ enable confirmation.
You say there should be some japanese inside it, there is none, only the ascii
character "?".

Also I suspect the problem is the same as in bug 132613, which has been
confirmed, so there will only be a problem in a situation where an incoming mail
is interpreted by Mozilla as shift-JIS without the Content-Type header, has
characters that are invalid in shift-JIS, and you try to reply.
These are reproduction elements that were not available to the QA for confirmation.

Updated

16 years ago
QA Contact: sheelar → meehansqa

Comment 12

16 years ago
It's been suggested this is fixed by bug 132613, and has had no activity for the
last six months.  Can anyone try this bug again and see if it still is in effect?

Comment 13

15 years ago
Both testmails WFM.

pi
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WORKSFORME
Product: MailNews → Core
Product: Core → MailNews Core
You need to log in before you can comment on or make changes to this bug.